Custom data
List Custom Queries
Stored queries on a table, with their status and derived staleness.
GET
/
core
/
custom-data
/
tables
/
{name}
/
queries
List Custom Queries
curl --request GET \
--url https://api.anyreach.ai/core/custom-data/tables/{name}/queriesimport requests
url = "https://api.anyreach.ai/core/custom-data/tables/{name}/queries"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.anyreach.ai/core/custom-data/tables/{name}/queries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"organization_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"table_id": 1,
"name": "Example",
"sql_source": "string",
"params": [
{
"name": "Example",
"type": "string"
}
],
"referenced_columns": [
"string"
],
"row_limit": 1,
"status": "draft",
"validation_error": "string",
"enabled": false,
"is_stale": false,
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z",
"created_by": "user:3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_by": "user:3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Headers
Organization ID for user PATs (pat_ prefix tokens)
Path Parameters
Response
Successful Response
Available options:
draft, validated, stale, broken Show child attributes
Show child attributes
⌘I
List Custom Queries

